/*============================================================================*/
/*                        L a b W i n d o w s / C V I                         */
/*----------------------------------------------------------------------------*/
/*    Copyright (c) National Instruments 1987-1996.  All Rights Reserved.     */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Title:       custsupp.h                                                    */
/* Purpose:     provides helpful functions for changing the behavior of       */
/*              controls.                                                     */
/*                                                                            */
/*============================================================================*/


#ifndef CUSTSUPP_HEADER
#define CUSTSUPP_HEADER

#include "inifile.h"
#include "toolbox.h"

#ifdef __cplusplus
    extern "C" {
#endif

#define DLG_MARGIN                      11
#define DLG_LABEL_TO_CTRL_MIN_H_GAP     8
#define DLG_CTRL_V_GAP                  10
#define DLG_BTN_H_GAP                   9

#define MAX_SETTING_NAME_LENGTH 32
#define SETTING_NAME_BUF_SIZE   (MAX_SETTING_NAME_LENGTH + 1)   /* includes NULL byte */

    /*  return values for ConfigDialog() */
#define CONFIG_DLG_CANCEL   0
#define CONFIG_DLG_OK       1

int     CVIFUNC ReadConfigIni(IniText *iniText);
int     CVIFUNC WriteConfigIni(IniText iniText);
char    * CVIFUNC GetCustCtrlIniFilePath(void);
int     CVIFUNC ConfigDialog(char *dialogTitle, char *ctrlPrefix, char *settingsName, int showSettingsName, int grayList,  int listPickEqualsOk, int checkMode, ListType *checkedItems, int promptOnOverwrite);
int     CVIFUNC DeleteSettings(ListType settingsToDelete, char *prefix);

void    CVIFUNC ExpandCtrlToMeetLabel(int panel, int ctrl, int gap, int maxSize);
int     CVIFUNC MakeCtrlGrayRecessedIndicator(int panel, int ctrl);
int     CVIFUNC FormatGroupDecoration(int dialog, int textMsg, int deco, int left, int bottom);



#ifdef __cplusplus
    }
#endif

#endif  /* CUSTSUPP_HEADER */
