/*============================================================================*/
/*                        L a b W i n d o w s / C V I                         */
/*----------------------------------------------------------------------------*/
/*    Copyright (c) National Instruments 1987-1996.  All Rights Reserved.     */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Title:       movectrl.h                                                    */
/* Purpose:     implements user moveable controls                             */
/*                                                                            */
/*============================================================================*/

#ifndef MOVECTRL_HEADER
#define MOVECTRL_HEADER

#include <cvidef.h>

#ifdef __cplusplus
    extern "C" {
#endif

#define     MOVECTRL_ATTR_ENABLED               2000

#define     MOVECTRL_ATTR_LABEL_MOVABLE         1000
#define     MOVECTRL_ATTR_LABEL_CENTERABLE      1001
#define     MOVECTRL_ATTR_LABEL_AUTOCENTER      1002

#define     MOVECTRL_ATTR_DIG_DISP_MOVABLE      1100
#define     MOVECTRL_ATTR_DIG_DISP_CENTERABLE   1101
#define     MOVECTRL_ATTR_DIG_DISP_AUTOCENTER   1102

#define     MOVECTRL_ATTR_CTRL_MOVABLE          1200
#define     MOVECTRL_ATTR_CTRL_CENTERABLE       1201
#define     MOVECTRL_ATTR_CTRL_SIZABLE          1203


int  CVIFUNC MakeMovableCtrl (int panel, int control, char *configName, 
                              int ctrlMovable, int labelMovable, 
                              int digDispMovable, int sizable);
int  CVIFUNC_C SetMovableCtrlAttribute (int panel, int control, 
                                        int attribute, ...);
int  CVIFUNC_C GetMovableCtrlAttribute (int panel, int control, 
                                        int attribute, ...);

int  CVIFUNC SaveMovableCtrlSettings (int panel, int control, 
                                      char *settingsName);
int  CVIFUNC LoadMovableCtrlSettings (int panel, int control, 
                                      char *settingsName);

#ifdef __cplusplus
    }
#endif

#endif  /* ndef MOVECTRL_HEADER */
