/*============================================================================*/
/*                        L a b W i n d o w s / C V I                         */
/*----------------------------------------------------------------------------*/
/*    Copyright (c) National Instruments 1987-1996.  All Rights Reserved.     */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Title:       scrolbar.h                                                    */
/* Purpose:     implements scroll bar controls                                */
/*                                                                            */
/*============================================================================*/

#ifndef SCROLL_BAR_CTRL_HEADER
#define SCROLL_BAR_CTRL_HEADER


#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

/***********************/
/* Attribute Constants */
/***********************/

#define ATTR_SB_VALUE           1
#define ATTR_SB_VIEW_SIZE       2
#define ATTR_SB_DOC_MIN         3
#define ATTR_SB_DOC_MAX         4
#define ATTR_SB_COLOR           5
#define ATTR_SB_WIDTH           6
#define ATTR_SB_HEIGHT          7
#define ATTR_SB_VERTICAL        8
#define ATTR_SB_PROP_THUMB      9


/*******************/
/* Event Constants */
/*******************/

#define EVENT_SB_UP_BUTTON      1
#define EVENT_SB_DOWN_BUTTON    2
#define EVENT_SB_PAGE_UP        3
#define EVENT_SB_PAGE_DOWN      4
#define EVENT_SB_THUMB_CHANGE   5
#define EVENT_SB_COMMIT         6


/*******************/
/* Error Constants */
/*******************/

#define SB_NO_ERROR                     0
#define SB_ERROR                        -1
#define SB_ERROR_NOT_GRAPH              -2 /* the control passed to ScrollBar_ConvertFromGraph must be a graph control */
#define SB_ERROR_BAD_VALUE              -3
#define SB_ERROR_BAD_ATTRIBUTE          -4


/********************/
/* Public Functions */
/********************/

int CVIFUNC ScrollBar_Create(int panel, int top, int left, int vertical, CtrlCallbackPtr callbackFunction, void *callbackData);
int CVIFUNC ScrollBar_ConvertFromGraph(int panel, int graph, CtrlCallbackPtr callbackFunction, void *callbackData);
int CVIFUNC ScrollBar_SetAttribute(int panel, int scrollBar, int attribute, int value);
int CVIFUNC ScrollBar_GetAttribute(int panel, int scrollBar, int attribute, int *value);


#ifdef __cplusplus
    }
#endif

#endif /* SCROLL_BAR_CTRL_HEADER */
