/*============================================================================*/
/*                        L a b W i n d o w s / C V I                         */
/*----------------------------------------------------------------------------*/
/*    Copyright (c) National Instruments 1987-1996.  All Rights Reserved.     */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Title:       toolbar.h                                                     */
/* Purpose:     implements toolbar controls                                   */
/*                                                                            */
/*============================================================================*/

#ifndef TOOLBARTYPEHEADER
#define TOOLBARTYPEHEADER

#include <cvidef.h>
#include "toolbox.h"

#ifdef __cplusplus
    extern "C" {
#endif

/********************/
/*      Types       */
/********************/

typedef enum {
    kSeparator,
    kCommandButton,
    kToggleButton,
    kExclusiveToggleButton,
    kNumToolbarItemTypes
} ToolbarItemTypesEnum;

typedef enum {
    kControlCallback,
    kMenuCallback,
    kNoCallback,
    kNumToolbarItemCallbackTypes
} ToolbarItemCallbackTypesEnum;

typedef struct ToolbarStruct *ToolbarType;


                    /********************************/
                    /*      Function prototypes     */
                    /********************************/

/*********************/
/* Toolbar functions */
/*********************/

int CVIFUNC Toolbar_New (int parentPanel, int menuBar, char *title,
                 int top, int left, int conformBitmapColors,
                 int conformToSystem, ToolbarType *toolbar);
int CVIFUNC Toolbar_Discard (ToolbarType toolbar);
int CVIFUNC Toolbar_Duplicate (int destPanel, ToolbarType sourceToolbar, char *title,
                       int top, int left, ToolbarType *destToolbar);

int CVIFUNC Toolbar_Display (ToolbarType toolbar);
int CVIFUNC Toolbar_Hide (ToolbarType toolbar);

/**************************/
/* Toolbar item functions */
/**************************/

int CVIFUNC Toolbar_InsertItem (ToolbarType toolbar, int position, int type, 
                                int active, char *description, 
                                int callbackType, int menuItem,
                                CtrlCallbackPtr callbackFunc, 
                                void *callbackData,
                                char *imageFile);
int CVIFUNC Toolbar_RemoveItem (ToolbarType toolbar, int position);
int CVIFUNC Toolbar_SetItemVal (ToolbarType toolbar, int position, int value);
int CVIFUNC Toolbar_DimItem (ToolbarType toolbar, int position, int dimmed);
int CVIFUNC Toolbar_ActivateItem (ToolbarType toolbar, int position, 
                                  int active, int refresh);
int CVIFUNC Toolbar_GetNumItems (ToolbarType toolbar, int *count);
int CVIFUNC Toolbar_GetIndexFromDescription (ToolbarType toolbar, char *label,
                                             int *index);
int CVIFUNC Toolbar_GetIndexFromMenu (ToolbarType toolbar, int menuItem,
                                      int *index);

#ifdef __cplusplus
    }
#endif

#endif   /* ndef TOOLBARTYPEHEADER */
